Skip to content

Messaging Resource API

The Messaging Resource API provides endpoints to fetch messages for specific apps and posting new messages. Messages are tied to the lifecycle of a transaction and are only available while the transaction is active. I.e., messages can only be retrieved while the associated transaction is running and they are automatically deleted when the transaction ends. Ensure you fetch messages during the transaction lifecycle to avoid losing access.

Fetch Messages for an App

Fetches messages for a specific app identified by its app ID.

The client needs transaction:write scope.

curl -X GET 'https://<api_host>/api/v1/messages?appId=123&excludeUntil=1622548800' \
  -H 'Authorization: Bearer <your_token>'

Fetch Messages for an App (deprecated)

Fetches messages for a specific app identified by its app ID.

The client needs transaction:write scope.

curl -X GET 'https://<api_host>/api/v1/apps/123/messages?excludeUntil=1622548800' \
  -H 'Authorization: Bearer <your_token>'

Post a New Message

Note: This post endpoint is not publicly exposed. Only workflow containers part of an app can post messages.

Creates new messages for the specified participants.

curl -X POST 'https://<api_host>/api/v1/messages' \
  -H 'Authorization: Bearer <your_token>' \
  -H 'Content-Type: application/json' \
  -d '{
    "message": "Sample message",
    "participants": ["participant1", "participant2"]
  }'